export interface UseControlStateOptions<T> {
    value?: T;
    defaultValue?: T;
    defaultStateValue: T | (() => T);
    onChange?: (value: T, prevValue: T) => void;
}
export declare function useControlState<T>({ value, defaultValue, defaultStateValue, onChange, }: UseControlStateOptions<T>): [T, (newValue: T) => void];
