declare type DebounceCallback = (() => void) | void;
declare type Debounce<Args extends unknown[]> = ((...args: Args) => void) & {
    despose: () => void;
};
declare type DebounceReturnType<Args extends unknown[]> = Debounce<[...Args, DebounceCallback]>;
export declare function useDebounce<Args extends unknown[]>(func: (...args: Args) => void, delay?: number): DebounceReturnType<Args>;
export {};
