"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePropsUpdate = usePropsUpdate;
var _react = require("react");
var _useIsomorphicLayoutEffect = require("../useIsomorphicLayoutEffect");
function usePropsUpdate(cb, deps) {
  var isMount = (0, _react.useRef)(false);
  (0, _useIsomorphicLayoutEffect.useIsomorphicLayoutEffect)(function () {
    if (isMount.current) {
      cb();
    } else {
      isMount.current = true;
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, deps);
}