import { useCallback } from 'react';
import { useSyncRef } from '../useSyncRef';
export function useCacheCallback(cb) {
  var cbRef = useSyncRef(cb);
  return useCallback(function () {
    return cbRef.current.apply(cbRef, arguments);
  }, [cbRef]);
}