"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCacheCallback = useCacheCallback;
var _react = require("react");
var _useSyncRef = require("../useSyncRef");
function useCacheCallback(cb) {
  var cbRef = (0, _useSyncRef.useSyncRef)(cb);
  return (0, _react.useCallback)(function () {
    return cbRef.current.apply(cbRef, arguments);
  }, [cbRef]);
}