import { useRef } from 'react';
import { useIsomorphicLayoutEffect } from '../useIsomorphicLayoutEffect';
export function usePropsUpdate(cb, deps) {
  var isMount = useRef(false);
  useIsomorphicLayoutEffect(function () {
    if (isMount.current) {
      cb();
    } else {
      isMount.current = true;
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, deps);
}